Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Class PortletSessionUtil

    java.lang.Object
      javax.portlet.PortletSessionUtil

    public class PortletSessionUtil

extends Object

The `PortletSessionUtil` class helps identify and decode attributes in the `PORTLET_SCOPE` scope of the PortletSession when accessed through the HttpSession an from within calls to methods of the HttpSessionBindingListener interface.

Constructor Summary
`PortletSessionUtil()`

Method Summary
`static String` | `decodeAttributeName(String name)` Returns the attribute name of an attribute in the `PORTLET_SCOPE`.
`static int` | `decodeScope(String name)` Returns the portlet attribute scope from an encoded portlet attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletSessionUtil

    public PortletSessionUtil()

Method Detail

### decodeAttributeName

    public static String decodeAttributeName(String name)

  Returns the attribute name of an attribute in the `PORTLET_SCOPE`. If the attribute is in the `APPLICATION_SCOPE` it returns the attribute name unchanged.

  Parameters
    `name` - a string specifying the name of the encoded portlet attribute
  Returns
    the decoded attribute name

### decodeScope

    public static int decodeScope(String name)

  Returns the portlet attribute scope from an encoded portlet attribute.
  Possible return values are:
  - `PortletSession.APPLICATION_SCOPE`
  - `PortletSession.PORTLET_SCOPE`

  Parameters
    `name` - a string specifying the name of the encoded portlet attribute
  Returns
    the decoded attribute scope
  See Also
    `PortletSession`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.